MKFS(8)

BEZEICHNUNG
mkfs - ein Linux-Dateisystem erstellen

ÜBERSICHT

mkfs [Optionen] [-t Typ] [Dateisystemoptionen] Gerät [Größe]

BESCHREIBUNG

Gegenüber dieser mkfs-Oberfläche sind die dateisystemspezifischen mkfs.<Typ>-Werkzeuge zu bevorzugen.

mkfs wird zum Erstellen eines Linux-Dateisystems auf einem Gerät verwendet, üblicherweise einer Festplattenpartition. Das Gerät-Argument ist entweder der Gerätename (zum Beispiel dev/hda1, /dev/sdb2) oder eine reguläre Datei, die ein Dateisystem erhalten soll. Das Größe-Argument ist die Anzahl der Blöcke, die für das Dateisystem verwendet werden sollen.

Der von mkfs zurückgegebene Exit-Status ist 0 bei Erfolg und 1 bei Fehlschlag.

Eigentlich ist mkfs einfach eine Benutzeroberfläche für die verschiedenen unter Linux verfügbaren Werkzeuge zum Erstellen von Dateisystemen (mkfs.Dateisystemtyp). Das dateisystemspezifische Erstellungsprogramm wird in verschiedenen Verzeichnissen gesucht, die in der Umgebungsvariable PATH aufgeführt werden. Weitere Details finden Sie in den Handbuchseiten der dateisystemspezifischen Erstellungswerkzeuge.

OPTIONEN

-t, --type Typ
    gibt den Typ des zu erstellenden Dateisystems an. Falls nichts angegeben ist, wird der vorgegebene Dateisystemtyp verwendet (gegenwärtig ext2).

Dateisystemoptionen
    übergibt dateisystemspezifische Optionen an den realen Ersteller des Dateisystems.

-V, --verbose
    gibt ausführliche Meldungen aus, einschließlich aller dateisystemspezifischen Befehle, die ausgeführt werden. Mit dieser Option kann es sehr oft passieren, dass die Ausführung dateisystemspezifischer Befehle verhindert wird. Dies ist tatsächlich nur für Testzwecke sinnvoll.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm. Die Option -V zeigt Versionsinformationen nur dann an, wenn es der einzige Parameter ist, ansonsten verhält es sich wie --verbose.

FEHLER

Alle allgemeinen Optionen müssen vorangestellt sein und dürfen nicht mit dateisystemspezifischen Optionen kombiniert werden. Einige dateisystemspezifische Programme können die Größe des Gerätes nicht automatisch erkennen, wodurch die Angabe des Parameters Größe zwingend notwendig ist.

AUTOREN

Diese Handbuchseite wurde der Version von Remy Card für das ext2-Dateisystem entlehnt.

SIEHE AUCH

fs(5), badblocks(8), fsck(8), mkdosfs(8), mke2fs(8), mkfs.bfs(8), mkfs.ext2(8), mkfs.ext3(8), mkfs.ext4(8), mkfs.minix(8), mkfs.msdos(8), mkfs.vfat(8), mkfs.xfs(8)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl mkfs ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.